/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checks.util;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class CollectionUtils {
	
	private CollectionUtils() {
	}
	
	public static <T> Set<T> singletonSet(T v) {
		HashSet<T> set = new HashSet<>(2);
		set.add(v);
		return set;
	}

	@SafeVarargs
	public static <T> Set<T> asSet(T... values) {
		HashSet<T> set = new HashSet<>((int) (values.length * 1.25));
		set.addAll(Arrays.asList(values));
		return set;
	}

}
